AurionAI Docs
Api

Get Embed Config

Return branding configuration for externally embedded widget.

POST
/api/v1/voice-widget/embed/config

Return branding configuration for externally embedded widget.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://apps.aurionai.net/api/v1/voice-widget/embed/config" \  -H "Content-Type: application/json" \  -d '{    "tenant_id": "string",    "public_key": "string"  }'
{
  "display_title": "string",
  "welcome_text": "string",
  "launcher_label": "string",
  "launcher_bubble_message": "string",
  "launcher_position": "bottom-right",
  "accent_theme": "blue",
  "primary_color": "string",
  "accent_color": "string",
  "logo_url": "string",
  "show_powered_by": true,
  "tenant_slug": "string",
  "sso_auto_login": true,
  "mode": "chat",
  "theme": "light",
  "quick_actions_enabled": true,
  "display_title_translations": {
    "property1": "string",
    "property2": "string"
  },
  "launcher_label_translations": {
    "property1": "string",
    "property2": "string"
  },
  "welcome_text_translations": {
    "property1": "string",
    "property2": "string"
  },
  "launcher_bubble_message_translations": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}